Bug 240804 - [jVi] ":quit" NullPointerException at com.raelity.jvi.swing.SwingBuffer.getLineCount
[jVi] ":quit" NullPointerException at com.raelity.jvi.swing.SwingBuffer.getLi...
Status: RESOLVED FIXED
Product: third-party
Classification: Unclassified
Component: -- Other --
8.0
All All
: P3 (vote)
: TBD
Assigned To: err
issues@third-party
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 08:28 UTC by gbc
Modified: 2014-07-07 22:50 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.08 KB, text/plain)
2014-01-22 08:28 UTC, gbc
Details
stacktrace (3.00 KB, text/plain)
2014-05-08 07:21 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gbc 2014-01-22 08:28:07 UTC
Build: NetBeans IDE 8.0 Beta (Build 201401141042)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.51-b03, Java(TM) SE Runtime Environment, 1.7.0_51-b13
OS: Linux

User Comments:
GUEST: Problem occurred after closing an editor window and returning to another.

gbc: I just closed an editor tab using <Ctrl-w>+<q> (jVi shortcut)




Stacktrace: 
java.lang.NullPointerException
   at com.raelity.jvi.swing.SwingBuffer.getLineCount(SwingBuffer.java:123)
   at com.raelity.jvi.swing.SwingTextView.hasAnyFolding(SwingTextView.java:709)
   at com.raelity.jvi.core.GetChar.gotc(GetChar.java:158)
   at com.raelity.jvi.core.Hook.gotc(Hook.java:88)
   at com.raelity.jvi.manager.Scheduler.keyStroke(Scheduler.java:220)
   at com.raelity.jvi.swing.SwingFactory$EnqueCharAction.actionPerformed(SwingFactory.java:617)
Comment 1 gbc 2014-01-22 08:28:08 UTC
Created attachment 144234 [details]
stacktrace
Comment 2 err 2014-02-05 17:19:42 UTC
gbc, choma13,

Does this happen every time an editor window is closed?

Assuming jVi version: 1.5.1
Comment 3 choma13 2014-02-06 04:30:33 UTC
(In reply to err from comment #2)
> gbc, choma13,
> 
> Does this happen every time an editor window is closed?
> 
> Assuming jVi version: 1.5.1

yes, when it is closed by ':q'. It happens every time.
Comment 4 err 2014-02-06 18:41:37 UTC
I uploaded a jvi module that handles NB8. Thanks for the report. (The following message should show up when a NB user reports the exception)

fix ":quit" under nb8: install http://sourceforge.net/projects/jvi/files/jVi-for-NetBeans/NetBeans-7.0//com-raelity-jvi-1.5.2.x2-nb8fix.nbm
Comment 5 choma13 2014-02-07 04:44:19 UTC
(In reply to err from comment #4)
> I uploaded a jvi module that handles NB8. Thanks for the report. (The
> following message should show up when a NB user reports the exception)
> 
> fix ":quit" under nb8: install
> http://sourceforge.net/projects/jvi/files/jVi-for-NetBeans/NetBeans-7.0//com-
> raelity-jvi-1.5.2.x2-nb8fix.nbm

Thanks for the quick fix. After updating to jvi plugin that had you sent, it works fine.
Comment 6 Exceptions Reporter 2014-05-06 14:36:30 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=206775
Comment 7 Exceptions Reporter 2014-05-08 07:21:48 UTC
Created attachment 147174 [details]
stacktrace

Exceptoin occured while saving a new PHP class file
Comment 8 err 2014-07-07 22:50:38 UTC
Fixed in Version 1.5.2 - 2014/05/23


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo